# Rename or recolour a label

`PATCH /workspace/inbox/labels/{id}` · Rivier · inbox

Rename or recolour a label.

- Scope: inbox:write
- Graphql: Mutation.inboxLabelUpdate
- Sdk: inbox.label.update
- Cli: inbox label update

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string",
      "minLength": 1,
      "maxLength": 80
    },
    "color": {
      "type": "string",
      "maxLength": 12
    }
  },
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X PATCH 'https://api.rivier.ai/workspace/inbox/labels/{id}' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "color": "string"
}'
```
